import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int a = nextInt();
        long b = nextLong();
        long[] v = new long[a];
        long[] n = new long[a];
        for (int i = 0; i < a; i++) {
            long c = nextLong();
            v[i] = c;
        }
        for (int i = 0; i < a; i++) {
            if (Math.abs(v[i] - v[0]) <= b) {
                n[i] = 1;
            } else {
                for (int j = 1; j < i; j++) {
                    if (n[i - j] == 1 && Math.abs(v[i] - v[i - j]) <= b) {
                        n[i] = 1;
                        break;
                    }
                }
            }
            System.out.print(n[i]);
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}